<?php
$vo_registration_enabled = isset($vo_registration_enabled) ? $vo_registration_enabled : 1;
echo "<div id=\"submitform\">\n";
if ( $member ) {
	printf( "<p class=\"alldone\">%s</p>", $voms_register_allready); 
} else if ( ! $vo_registration_enabled ) {
	printf( "<p class=\"error\">%s</p>", $voms_register_disabled);
} else if ( ! checkDBSchema() ) {
	printf( "<p class=\"error\">%s</p>", $voms_dbschema_usernotify);
} else if (isset ($_SERVER['HTTPS'])) {
	if ( ( $USER_DN !== 0 ) && ( $USER_CA !== 0 ) ) {
		$reghb = 0;
		$req_exists = requestExists ($USER_DN, $USER_CA);
		if ( $req_exists == 1 ) {
			printf( "<p class=\"error\">%s</p>", $voms_register_notyet_processed);
			$reghb = 1;
		} else if ( $req_exists == -1 ) {
			printf( "<p class=\"error\">%s</p>", $voms_register_confirmation_sent);
			$reghb = 1;
		}
		// Proceed form submission
		$regmail = _ispost("regmail");
		$reginst = _ispost("reginst");
		$regphone = _ispost("regphone");
		$regcomments = _ispost("regcomments");
		if ( ( $reghb == 0 ) && isset($_POST["regsub"] ) ) {
			$regagree = ( isset($_POST["agree"]) ) ? 1 : 0;
			// Check userinput
			if ( ! preg_match($regex_email, $regmail) ) printf("<p class=\"error\">%s</p>", $voms_register_invalid_mail); else
			if ( ! preg_match($regex_title, $reginst )) printf("<p class=\"error\">%s</p>", $voms_register_invalid_inst); else
			if ( ! preg_match($regex_phone, $regphone))  printf("<p class=\"error\">%s</p>", $voms_register_invalid_phone); else
			if ( ! $regagree )  printf("<p class=\"error\">%s</p>", $voms_register_invalid_agree); else {
				// we still here -- accept register request
				if ( addNewRequest($vo, $USER_DN, $USER_CA, $regmail, $reginst, $regphone, $regcomments ) ) {
					printf("<p class=\"underborder bold\" >%s</p>\n",$voms_register_confirmation);
					printf("<p>%s</p>", sprintf($voms_register_complete, $vo));
					$reghb = 1;
				} else printf("<p class=\"error\">%s</p>", $voms_register_error);
			}
		}
		if ( $reghb == 0 ) {
			printf("<p class=\"underborder bold\" >".$voms_register_caption."</p>\n",$vo);
			// Print explanations about registration
			printf("<p>".$voms_register_preamble."<p>",$vo_rules_link);
			foreach ( $voms_register_preamble_next as $vrptext )
				printf("<p>%s</p>", $vrptext);
			// Regisrtration request submittion form
			echo "<form method=\"post\" action=\"\">\n";
			printf("<label>%s</label><input type=\"text\" name=\"regdn\" disabled class=\"greenselected noborder\" value=\"%s\" /><br/><br/>\n",$voms_register_yourdn, $USER_DN);
			printf("<label>%s</label><input type=\"text\" name=\"regca\" disabled class=\"greenselected noborder\" value=\"%s\" /><br/><br/>\n",$voms_register_yourca, $USER_CA);
			printf("<label>%s</label><input type=\"text\" name=\"regmail\" value=\"%s\" /><br/><br/>\n",$voms_register_yourmail, $regmail);
			printf("<label>%s</label><input type=\"text\" name=\"reginst\" value=\"%s\" /><br/><br/>\n",$voms_register_yourinstitute, $reginst);
			printf("<label>%s</label><input type=\"text\" name=\"regphone\" value=\"%s\" /><br/><br/>\n",$voms_register_yourphone, $regphone);
			printf("<label>%s</label><textarea cols=\"60\" rows=\"4\" name=\"regcomments\">%s</textarea><br/><br/>\n",$voms_register_yourcomments, $regcomments);
			printf("<input type=\"checkbox\" style=\"width: auto;\" name=\"agree\"> %s</input>\n", $voms_register_agree);
			printf("<input class=\"crnewbt\" type=\"submit\" name=\"regsub\" value=\"%s\" />\n", $voms_register_submit );
			echo "</form>\n";
		}
	} else printf("<p class=\"error\">%s</p>", $voms_register_no_cert);
} else printf("<p class=\"error\">".$voms_register_non_https."</p>", "https://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
echo "<div class=\"mt20\"></div>\n";
echo "</div>\n";
?>
