<?php
	// Title and footer
	$voms_title = "PHP VOMS-Admin %s";
	$voms_footer_caption = "<a href=\"http://grid.org.ua/development/pva\">PHP VOMS-Admin</a> version %s";

	// Main page captions
	$voms_vo_list = "List of VOs configured on this server";
	$voms_extenal_vo_list = "List of VOs configured on external servers";
	$voms_no_vo_served = "There is no VOs currently served";
	$voms_notexist_vo = "Requested VO does not served by this VOMS server";
	$voms_confdir_failed = "Error while opening VO's config directory.";

	// VO groups
	$voms_vo_list_caption = "Served VOs";
	$voms_vo_grouplist_caption = "VO groups";
	$voms_vo_grouplist_nogroups = "There are no groups configured.";

	// URL captions
	$voms_vo_home_title = "VO Home page";
	$voms_vo_sync_title = "Replica VOMS server";
	$voms_vo_ext_title = "External standalone VOMS";

	// Header captions
	$voms_str_forvo = "for VO: ";
	$voms_str_user  = "Current user: ";
	$voms_str_unauth = "Unauthenticated Client";
	$voms_str_nonhttps = "use HTTPS for authentication";
	$voms_register = " You are not a member - <a href=\"?vo=%s&amp;action=register\">Register!</a>";
	$voms_create_user = "Create a new user";

	// Leave VO
	$voms_leavevo = "Leave this VO";
	$voms_leavevo_sure = "Are you sure, you want to dismiss your own membership?";
	$voms_leavevo_ok = "You membership successfully dismissed";
	
	// Main menu
	$voms_mlinks = array ( 
		"VO management"		=> "",
		"Configuration"		=> "&amp;action=configuration"
	);

	$voms_requests_mlinks = array (
		"Subscriptions"		=> "&amp;action=subscriptions",
	);

	$voms_preferences_mlinks = array (
		"Preferences"		=> "&amp;action=preferences"
	);

	$voms_other_vo = "Other VOs on this server";

	$voms_mainpage_mlinks = array (
		"List VOs"			=> "?globop=listvos",
		"Contact VOMS Server Admin"	=> "?globop=mailadm"
	);

	$voms_request_vo_registration = "Request VOMS resources for new VO";

	$voms_manage_title = "Manage";
	$voms_manage = array (
		"Users"			=> "",
		"Groups"		=> "&amp;operation=groupslist",
		"Roles"			=> "&amp;operation=roleslist",
		"Attributes"		=> "&amp;operation=attrlist"
	);

	$voms_hack = "Stop hacking the server! This incident has been captured. ";

	// VO manage strings
	$voms_mng_user_caption = "Users: ";
	$voms_mng_groups_caption = "Groups: ";
	$voms_mng_roles_caption = "Roles: ";
	$voms_mng_user_search = "Search users";
	$voms_mng_group_search = "Search groups";
	$voms_mng_roles_search = "Search role";
	$voms_mng_attr_search = "Search user attributes";
	$voms_user_del = "delete<br/>user";
	$voms_grp_del = "delete";
	$voms_role_del = "delete";

	$voms_tcaption_tmpl = "%s-%s of %s";
	$voms_no_search  = "No user found matching \"%s\"";
	$voms_no_users = "No members found";
	$voms_no_attrs = "No users attributes defined in this VO";
	$voms_no_groups_search = "No groups found matching \"%s\"";
	$voms_no_roles_search = "No roles found matching \"%s\"";
	$voms_no_attrs_search = "No attributes found matching \"%s\"";
	$voms_no_roles = "No roles found";
	$voms_no_groups = "No groups found";

	$voms_create_new_caption = "Create a new VO user";
	$voms_create_new_submit = "Create!";
	$voms_create_new_failed = "Failed to create a new member record.";
	$voms_create_new_already_exists = "Requested member record already exists in database.";
	$voms_addca_notfound = "User have untrusted CA. Contact VOMS server admin about new CA support.";
	$voms_create_new_wrongparameter = "%s field has wrong syntax";
	$voms_creategrp_new_caption = "Create a new VO group";
	$voms_creategrp_pgrp = "Parent group:";
	$voms_creategrp_grp = "Name:";
	$voms_creategrp_group_wrong = "Wrong syntax of group name";
	$voms_creategrp_new_failed = "Failed to create a new group ( already exists or Database Failure )";
	$voms_creategrp_notallowed = "There is no parent groups with permissions to create childs.";
	$voms_create_grp = "Create a new group";
	$voms_create_role = "Create a new role";
	$voms_createrole_new_caption = "Create new VO Role";
	$voms_createrole_role = "Name: ";
	$voms_createrole_role_wrong = "Wrong syntax of role name";
	$voms_createrole_allready = "Role is already defined in database";
	$voms_createrole_new_failed = "Failed to create a new role ( Database Failure )";
	$voms_roleinfo_userdet = "Search users with role <b>%s</b> in selected group";
	$voms_manage_attributes = "Manage attribute classes";
	$voms_mattr_caption = "Create a new attribute description";

	$voms_delete_failed = "Error occurred while deleting the user.";
	$voms_deletegrp_failed = "Error occurred while deleting the group.";
	$voms_deletegrp_cannot = "This group cannot be deleted since it contains subgroups.";
	$voms_delete_confirm = "Are you sure you want to dismiss %s membership?";
	$voms_deletegrp_confirm = "Are you sure you want to delete group %s from VO?";
	$voms_deleterole_confirm = "Are you sure you want to delete role %s in VO?";
	$voms_deleterole_failed = "Error occurred while deleting the role.";

	$voms_userinfo_usrdet_caption = "User details";
	$voms_userinfo_mmbdet_caption = "Membership details";
	$voms_userinfo_attrm_caption = "Generic attributes management";

	$voms_userinfo_usrdet_dn = "User's DN and CA:";
	$voms_userinfo_usrdet_ca = "&nbsp;";
	$voms_userinfo_usrdet_cn = "User's common name:";
	$voms_userinfo_usrdet_ml = "User's e-mail address:";
	$voms_userinfo_usrdet_upd = "Save changes";
	$voms_userinfo_usrdet_updok = "User information updated!";
	$voms_upd_userinfo_wrong = "Wrong value for user %s. Leave unchanged.";
	$voms_userinfo_del = "delete this user";
	$voms_userdet_empty = "Database error or parameters hack: there is no information about specified user;";

	$voms_togroup_add = "Add to group";
	$voms_add_role = "Assign role";
	$voms_dissmiss_role = "Dismiss role";
	$voms_groups_catpion = "Group name";
	$voms_roles_caption = "Roles";
	$voms_remove_group = "Remove";
	$voms_remove_attr = "delete";
	$voms_assinggroup_usrdet_updok = "User successfully added to group";
	$voms_dissmissgroup_usrdet_updok = "Membership in Group successfully dismissed";
	$voms_addrole_usrdet_updok = "Role in Group successfully assigned to user";
	$voms_delrole_usrdet_updok = "Role in Group successfully removed from user membership";
	$voms_addgroup_gid_wrong = "Incorrect Group identifier. Your attempt to hack the server has been captured.";
	$voms_addrid_rid_wrong = "Incorrect Role identifier. Your attempt to hack the server has been captured.";
	$voms_addgroup_allready = "User is already a member of the Group";
	$voms_addgroup_failed = "Server error. Failed to assigning user membership in the Group.";
	$voms_delgroup_allready = "User is already not a member of the Group";
	$voms_delgroup_failed = "Server error. Failed to dismissing user membership in the Group.";
	$voms_addrid_allready = "User is already have Role in the Group";
	$voms_addrid_failed = "Server error. Failed to assign the Role in the Group.";
	$voms_delrid_allready = "User is already have not Role in the Group";
	$voms_delrid_failed = "Server error. Failed to remove Role in the Group.";

	$voms_attributes_notexists = "No attribute classes defined for this VO.";
	$voms_attribute_caption = "Attribute:";
	$voms_attribute_value_caption = "Attribute value:";
	$voms_attribute_add_submit = "Set an attribute";
	$voms_attributes_notset = "No attributes defined for this %s.";
	$voms_attribute_delete = "delete";
	$voms_attributes = array ( "Attribute name" => "Attribute value" );
	$voms_attributes_group = "Group name";
	$voms_attributes_group_sel = "Group:";
	$voms_attributes_dn = "User DN &amp; CA";
	$voms_attributes_uniq = "Unique check";
	$voms_attribute_updok = "Attribute successfully set.";
	$voms_attrdel_updok = "Attribute successfully deleted";
	$voms_attribute_id_wrong = "Incorrect parameter identifier. Your attempt to hack the server has been captured.";
	$voms_attribute_notuniq = "Attribute is unique and another %s also has specified attribute value.";
	$voms_attribute_name_notuniq = "Unique check value in database is different. Unable to change description.";
	$voms_attribute_add_failed = "Server error. Unable to assign attribute";
	$voms_attribute_delok = "Attribute successfully deleted.";
	$voms_attradd_updok = "Attribute successfully added to VO";
	$voms_attribute_del_failed = "Server error. Unable to delete attribute";
	$voms_createattr_name = "Attribute name:";
	$voms_createattr_descr = "Attribute description:";
	$voms_createattr_uniq = "Unique contraint:";
	$voms_attribute_name_wrong = "Wrong syntax of attribute name";

	$voms_acldet_caption = "ACL management for %s";
	$voms_usrdet_caption = "Membership details for %s";
	$voms_attrm_caption = "Generic attributes management for %s";
	$voms_group = "group";
	$voms_user = "user";
	$voms_role = "role";
	$voms_normal_acl_caption = "Access control list: ";
	$voms_default_acl_caption = "Default Access control list: ";
	$voms_no_acl_found = "ACL not defined for this group";
	$voms_acl_table_colnames = array ( "Admin DN &amp; CA", "Container", "Membership", "ACL", "Attributes", "Requests", "Preferences" );
	$voms_acl_error = "Cannot retrieve ACL information. Internal server error. ";
	$voms_acl_edit = "edit";
	$voms_acl_delete = "delete";
	$voms_acl_create = "Add entry";
	$voms_acl_default = "default";

	// Register in VO
	$voms_register_caption = "PHP VOMS-Admin membership registration for the <b class=\"greenselected\">%s</b> VO.";
	$voms_register_preamble = "To access the VO resources, you must agree to the <a href=\"%s\">VO's Usage Rules</a>. Please fill out all fields in the form below and click on the register button at the bottom of the page.";
	$voms_register_preamble_next = array (
		"When you submit this request, you will receive an email with instructions on how to proceed. Your request will not be forwarded to the VO managers until you confirm your email address by following those instructions.",
		"IMPORTANT:",
		"Submitting this information you agree that it may be distributed to and stored by VO and site administrators. You also agree that action may be taken to confirm the information you provide is correct, that it may be used for the purpose of controlling access to VO resources and that it may be used to contact you in relation to this activity."
	);
	$voms_register_non_https = "You must use <a href=\"%s\">HTTPS</a> connection to the VOMS server to proceed.";
	$voms_register_no_cert= "You must import your personal certificate to your browser to proceed.";
	$voms_register_yourdn = "Your distinguished name (DN):";
	$voms_register_yourca = "Your CA:";
	$voms_register_yourmail = "Your email address:";
	$voms_register_yourinstitute = "Your institute:";
	$voms_register_yourphone = "Your phone number:";
	$voms_register_yourcomments = "Comments for the VO admin:";
	$voms_register_agree = "You agree on the VO's usage rules.";
	$voms_register_submit = "Register";
	$voms_register_allready = "You are already register, you don't have to visit this page again.";
	$voms_register_invalid_mail = "E-mail is invalid";
	$voms_register_invalid_inst = "Institute is invalid";
	$voms_register_invalid_phone = "Phone is invalid";
	$voms_register_invalid_agree = "You are not agree on VO's usage rules.";
	$voms_register_confirmation = "Confirmation required";
	$voms_register_complete = "An email has been sent to you with instructions on how to proceed with the registration for the %s VO.<br/>Please follow the instructions withing 24 hours or your request will be ignored by PHP VOMS-Admin.";
	$voms_register_notyet_processed = "You have already sent registration request, but it have not been processed by VO Admin yet.";
	$voms_register_confirmation_sent = "You have already applied. Confirmation E-mail with instructions was sent to you Inbox (check SPAM filer if you can not find it in Inbox). If you still have a problem contact the VO administrator or wait 24 hours while request is no longer valid.";
	$voms_register_disabled = "Registration in this VO is currently disabled by VO administrator.";
	$voms_register_error = "Internal server error while processing your request. Please try to submit again, if error constantly occurred please contact VO administrator.";
	$voms_confirmation_title = "Membership request confirmation";
	$voms_confirmation_ok = "Your request successfully confirmed. You will receive notification when VO administrator process your request.";
	$voms_confirmation_already = "You have already confirm registration request, but it have not been processed by VO Admin yet";
	$voms_confirmation_delete = "Your request has been successfully canceled.";
	$voms_confirmation_error = "Internal server error while processing your confirmation. Please try to follow URL again, if error constantly occurred please contact VO administrator.";
	$voms_confirmation_badrequest = "Wrong confirmation request approval URL provided.";

	// Request subscriptions
	$voms_subscriptions_manage_title = "See";
	$voms_subscriptions_manage = array (
		"Pending requests"	=> "",
		"Processed requests"	=> "&amp;operation=processed"
	);
	$voms_pending_caption = "Pending VO Membership requests";
	$voms_pending_no = "No pending requests found."; 
	$voms_pending_app = "approve";
	$voms_pending_rej = "reject";
	$voms_processed_caption = "Processed VO Membership requests";
	$voms_processed_no = "No processed requests found.";
	$voms_processed_app = "approved";
	$voms_processed_rej = "rejected";
	$voms_pending_info = array (
		"crdate" => "Submission date: ",
		"dn"	=> "User DN: ",
		"ca"	=> "User CA: ",
		"cn"	=> "User CN: ",
		"mail"	=> "User email address: ",
		"inst"	=> "Institute: ",
		"phone"	=> "User phone: ",
		"cmnt" => "Comment: "
	);
	$voms_processed_info_ststus = "Status: ";
	$voms_processed_info_evdate = "Evaluation date: ";
	$voms_pending_apprej = "You can <a href=\"%s\">reject</a> or <a href=\"%s\">approve</a>  this request for membership.";
	$voms_reqinfo_caption = "Detailed view of VO membership request";
	$voms_subscription_reject_ok = "Membership request rejected.";
	$voms_subscription_reject_err = "Failed to reject membership request.";
	$voms_subscription_approve_ok = "Membership request approved.";
	$voms_subscription_approve_err = "Failed in membership request approval.";

	// ACL strings
	$voms_acl_edit_caption = "Edit ACL entry: ";
	$voms_acl_failed_info = "Failed to retrieve information from database. Internal error or hack attempt.";
	$voms_acl_admin = "Admin contact:";
	$voms_acl_context = "Context:";
	$voms_acl_values_caption = array (
		"container" => array ("Container rights:","Read","Write"),
		"membership" => array ("Membership rights:","Read","Write"),
		"acl" => array ("ACL management rights:","List","Set","Defaults"),
		"requests" => array ("Subscription management rights:","List","Define"),
		"attributes" => array ("Generic Attributes rights:","List","Manage"),
		"preferences" => array ("VO Preferences:","Read","Write")
	);
	$voms_acl_propagate = "<b>Propagate to children contexts?</b>";
	$voms_acledit_submit = "Save changes";
	$voms_acl_update_failed = "Server error or hack attempt. Failed to change ACL permissions.";

	$voms_acl_del_caption = "Delete ACL entry: "; 
	$voms_aclrem_from_children = "Remove also from children contexts?";
	$voms_acl_permissions = "Permissions:";
	$voms_acldel_submit = "Delete ACL entry";
	$voms_acl_delete_failed = "Server error or hack attempt. Failed to delete ACL entry.";
	$voms_acl_create_failed = "Server error or hack attempt. Failed to create ACL entry.";

	$voms_acl_new_caption = "Add an ACL entry for context: <span class=\"greenselected\">%s</span>";
	$voms_acl_new_for = "Add an ACL entry for: ";
	$voms_acl_new_grant = " granting the following permissions: ";

	$voms_acl_new_vouser = "The VO user:";
	$voms_acl_new_nonvouser = "The non-VO user:";
	$voms_acl_new_role = "Anyone with:";
	$voms_acl_new_ingroup = "role in group";
	$voms_acl_new_group = "Members of the group";
	$voms_acl_new_anyauth = "Any authenticated user";
	$voms_acl_new_submit = "Create";

	$voms_insufficient_read = "Insufficient permissions to read content due to \"%s\" ACL.";

	// Configuration
	$voms_configuration_caption = "Configuration information";
	$voms_configuration_pvaurl = "PHP VOMS-Admin URL for this VO: ";
	$voms_configuration_vomses = "VOMSES string for this VO: ";
    $voms_configuration_lsc = "Trust chain for VOMS server (%s.lsc):";
	$voms_configuration_reread_cert = "reread credentials";
	$voms_configuration_mkgridmap = "Example Mkgridmap configuration for this VO: ";
	$voms_configuration_voarc = "Example ARC [vo] block configuration for the nordugridmap utility: ";

	// Send e-mail to server admin form
	$voms_sendmail_caption = "Contact VOMS server administrator";
	$voms_sendmail_preamble = array (
		"Using this form you can send e-mail to VOMS server administrator to ask questions or report problems devoted to server operation. Please specify correct e-mail address to receive an answer for you e-mail."
	);
	$voms_sendmail_username = "Sender name:";
	$voms_sendmail_email = "E-mail for reply:";
	$voms_sendmail_body = "Message text:";
	$voms_sendmail_submit = "Send e-mail";

	$voms_sendmail_error_email = "Wrong syntax in e-mail filed";
	$voms_sendmail_error_username = "Please use alphabetic characters in you name";
	$voms_sendmail_error_empty = "You have not enter the message text";

	$voms_sendmail_error = "Sorry, an error occurred during mail sending. Please check correctness of information and try again.";
	$voms_sendmail_ok = "Your mail has been successfully sent. You receive a reply in nearest future.";

	// Request serving new VO
	$voms_newvo_non_https = $voms_register_non_https;
	$voms_newvo_no_cert = $voms_register_no_cert;
	$voms_newvo_caption = "Request VOMS server resources to serve your VO";
	$voms_newvo_policy = array (
		"Filling the form below, you can send a request to VOMS server administrator for providing resources to serve your own VO. You must be VO Administrator and use HTTPS connection to server with authentication by you personal user certificate. The same authentication method will be provided for VO administration in the future. "
	);
	$voms_newvo_voname = "VO name*:";
	$voms_newvo_admdn= "VO Admin DN:";
	$voms_newvo_admca = "VO Admin CA:";
	$voms_newvo_admmail = "VO Admin e-mail*:";
	$voms_newvo_defca = "VO default CA:";
	$voms_newvo_descr = "VO description:";
	$voms_newvo_homepg = "VO homepage:";
	$voms_newvo_rules = "VO rules of usage URL*:";
	$voms_newvo_submit = "Send request";

	$voms_newvo_error_name = "Wrong VO name syntax";
	$voms_newvo_error_email = "Wrong VO Admin e-mail syntax";
	$voms_newvo_error_rules = "Wrong syntax on VO rules of usage URL";

	$voms_newvo_error = "Sorry, an error occurred during request sending. Please check correctness of information and try again.";
	$voms_newvo_ok = "Your request has been successfully sent. You receive a reply in nearest future.";

	// Preferences
	$voms_preferences_options_title	= "Options";
	$voms_preferences_eventlog_url = "&amp;action=preferences&amp;operation=eventlog";
	$voms_preferences_replication_url = "&amp;action=preferences&amp;operation=replicate";
	$voms_preferences_transactions_url = "&amp;action=preferences&amp;operation=transactions";
	$voms_preferences_options = array (
		"Display"		=> "&amp;action=preferences",
		"Transactions"		=> $voms_preferences_transactions_url,
		"Replication"		=> $voms_preferences_replication_url,
		"Event Log"		=> $voms_preferences_eventlog_url
	);

	// - display preferences
	$voms_preferences_display_info = array (
		"Display preferences handles VO specific values which affect displaying information about VO. This parameters will be changed any time on demand of VO administrator."
	);
	$voms_preferences_caption = "VO %s display preferences";
	$voms_preferences_vodescr = "VO description:";
	$voms_preferences_vourl = "Homepage URL:";
	$voms_preferences_ugaseurl = "VO usage rules link*:";
	$voms_preferences_defca = "Default CA:";
	$voms_preferences_registration = "Member registration:";
	$voms_preferences_registration_enabled = "Enabled";
	$voms_preferences_registration_disabled = "Disabled";
	$voms_preferences_submit = "Update";
	$voms_preferences_badrequired = "One of the required fields marked with asterix(*) not set.";
	$voms_preferences_updated = "VO configuration successfully updated";
	$voms_preferences_updatefail = "VO configuration update failed. Please try again or contact server administrator if error permanently occurred.";
	// - transaction preferences
	$voms_preferences_trans_caption = "VO %s transaction logging preferences";
	$voms_preferences_trans_log = "Transaction log is now ";
	$voms_preferences_trans_log_enabled = "enabled";
	$voms_preferences_trans_log_disabled = "disabled";
	$voms_preferences_trans_log_enable = "enable";
	$voms_preferences_trans_log_disable = "disable";
	$voms_preferences_trans_updfail = "Failed to change transaction logging status";
	$voms_preferences_trans_repl_fail = "Transaction logging cannot be disabled while replicas exists";
	
	$voms_preferences_trans_table_text = array (
		"Recent VO administration activities are listed below. This only covers operation in  transactions that change database content. Read-only operations, such as SOAP requests or information access are not logged."
	);
	$voms_preferences_trans_table_time = "Transaction time";
	$voms_preferences_trans_table_who = "Performed by";
	$voms_preferences_trans_table_mesg = "Operation description";
	$voms_preferences_trans_table_who_format = "<b>%s</b> from %s";
	$voms_preferences_trans_table_older = "older";
	$voms_preferences_trans_table_newer = "newer";
	$voms_preferences_trans_no_entries = "There are no transactions captured. ";
	$voms_preferences_trans_no_entries_older = "You may <a href=\"%s\">return</a> to the more recent transactions.";
	
	// - replication preferences
	$voms_preferences_repl_caption = "VO %s replication preferences";
	$voms_preferences_repl_status = "VO database replication is now ";
	$voms_preferences_repl_status_enabled = $voms_preferences_trans_log_enabled;
	$voms_preferences_repl_status_disabled = $voms_preferences_trans_log_disabled;
	$voms_preferences_repl_status_enable = $voms_preferences_trans_log_enable;
	$voms_preferences_repl_trans_failed = "You must enable transaction logging before enabling replication";
	$voms_preferences_repl_interval_caption = "Sync with other servers every ";
	$voms_preferences_repl_intervals = array (
		"5"	=> "5 minutes",
		"10"	=> "10 minutes",
		"20"	=> "20 minutes",
		"30"	=> "30 minutes",
		"1h"	=> "1 hour",
		"2h"	=> "2 hours",
		"4h"	=> "4 hours"
	);
	$voms_preferences_repl_new_adj = "Create new replication agreement";
	$voms_preferences_repl_addnew = "Create agreement with new replicant:";
	$voms_preferences_repl_addnew_descr = array (
		"Fill the form below to establish new replication agreement. Open the same window on the replica server and crossenter agreement codes.",
		"Note: Creating an agreement <b>does not</b> enable replication itself, but is required for replica server authorization!",
		"If you want to establish a \"full-mesh\" replication between more than two servers, you need to establish replication agreements on every server to every other servers."
	);
	$voms_preferences_repl_dn = "Replicant DN";
	$voms_preferences_repl_ca = "Replicant CA";
	$voms_preferences_repl_endpoint = "Server endpoint";
	$voms_preferences_repl_endpointip = "Endpoint IP address";
	$voms_preferences_repl_adj_code = "Agreement code";
	$voms_preferences_repl_code = "Replicant code";
	$voms_preferences_repl_new_adj_submit = "Create";
	$voms_preferences_repl_new_wrongsyntax = "Wrong syntax for '%s'";
	$voms_preferences_repl_ca_nohash = "Cannot find CA in trusted CA certificates directory";
	$voms_preferences_repl_resolve_failed = "DNS resolution of hostname \"%s\" failed. Please check server endpoint address.";
	$voms_preferences_repl_curl_failed = "Endpoint connection error: ";
	$voms_preferences_repl_ping_filed = "most likely that RPC interface is not supported by the endpoint - ping test failed.";
	$voms_preferences_repl_dnexists = "Another replication agreement established using the same endpoint DN.";
	$voms_preferences_repl_dbfailed = "Fatal Error! Failed to save agreement information to the database. In the case you constantly encounter this error, please contact VOMS server administrator";
	$voms_preferences_repl_added = "Information about new agreement successfully added.";
	$voms_preferences_repl_adj_list = "List of replication agreements";
	$voms_preferences_repl_status_arr = array (
		0 => "UNCONFIRMED",
		1 => "INITIALIZED",
		2 => "LAST SYNC: "
	);
	$voms_preferences_repl_adj_detail_caption = "Agreement details for ";
	$voms_preferences_repl_adj_bad_id = "Bad agreement identifier. Cannot display information.";
	$voms_preferences_repl_adj_detail_status = "Agreement status";
	$voms_preferences_repl_edit = "edit";
	$voms_preferences_repl_submit = "confirm change";
	$voms_preferences_repl_changed = "Agreement replicant code successfully changed";
	$voms_preferences_repl_adj_confirm_req = "This agreement requires confirmation";
	$voms_preferences_repl_adj_confirm_req_text = array (
		"Confirmation ensures that replicant code is valid and may be used for regular transaction synchronization.",
		"To begin transaction synchronization you also need to ensure that databases on the different PVA instances are identical. For that purpose consumer PVA instance must <b>completely rewrite</b> own database with provider's data.",
		"If this PVA instance has to be established as consumer, <b>set the check-box below to completely refill the database</b>.",
		"<b>ATTENTION!</b> Backing up current consumer database before rewriting server data is STRONGLY recommended.",
		"<b>ATTENTION!</b> After a database refill you may lose your administrator privileges.",
		"If you have already applied as the consumer for another replica in multi-replica environment and already took part in transaction synchronization process, you may omit database refilling."
	);
	$voms_preferences_repl_adj_confirm_checkbox = "Overwrite local database with replicant data";
	$voms_preferences_repl_adj_confirm_button = "Confirm";
	$voms_preferences_repl_consumer_failed = "Filling database with replicant data failed. Reverting to the old local database.";
	$voms_preferences_repl_consumer_success = "Congratulations! Database was successfully filled with replicant data.";
	$voms_preferences_repl_adj_enabled = "Replication with this peer has entered active state.";
	$voms_preferences_repl_remote_ok = "Agreement successfully confirmed. ";
	$voms_preferences_repl_bad_remote_status = "Agreement confirmation failed (remote or this instance does not consume database).";
	$voms_preferences_repl_adj_remove = "remove agreement";
	$voms_preferences_repl_adj_remove_warn = "Note! After agreement removal, your VO database may be out of sync. Is it really desired operation?";
	$voms_preferences_repl_adj_remove_ok = "Agreement successfully removed.";
	$voms_preferences_repl_adj_remove_fail = "Failed to remove replication agreement. Bad request or internal server error.";
	$voms_preferences_repl_id2uuid_failed = "Failed to create id 2 UUID mapping table required for replication. Please contact VOMS server administrator.";

	// RPC error codes
	$voms_rpc_error_caption = "RPC Error: ";
	$voms_rpc_error_codes_descr = array ( 
		1 => "Specified VO is not served by this endpoint",
		2 => "HTTPS secure connection required",
		3 => "Authentication token not found",
		4 => "Authentication check failed",
		5 => "Endpoint did not understand request",
		6 => "Endpoint failed to process request",
		255 => "General request failure"
	);

	// Log subsystem messages
	$voms_log_subsys_codes = array (
		1 => "Replication"
	);

	$voms_log_msg_codes = array (
		1 => "Endpoint connection error: %s",
		2 => "RPC Error #%s: %s",
		3 => "Error while calling replicated function %s. Arguments:\n%s",
		4 => "Database error #%s when storing received transaction",
		5 => "Result is not valid RPC ANSWER:\n%s"
	);
	$voms_log_notify_msg = "PVA needs your attention! There are %s <a href=\"%s\">unhandled log events</a> in the queue.";
	$voms_preferences_log_caption = "PVA event log for VO %s operation";
	$voms_preferences_log_no_log = "There are no events to take into account.";
	$voms_preferences_log_take_notice = "take notice";
	$voms_preferences_log_take_notice_all = "take notice of the all events";
	$voms_preferences_log_info = array (
		"List of events that happens out of your visit to PVA web-interface are listed below.",
		"Events covers deferred operations like replication and security incidents that occurred due to intentional or accidental user actions."
	);
	$voms_preferences_log_info_adm = array (
		"Clicking on <b>\"$voms_preferences_log_take_notice\"</b> you are confirmed that you take notice of the event and notification about it will disappeared. If you receive events due to improper operation of VOMS server, or need help in handling system event, please <a href=\"?globop=mailadm\">Contact VOMS Server Admin</a>."
	);
	$voms_preferences_log_table_subsys = "Subsys";
	$voms_preferences_log_table_msg = "Message";
	$voms_preferences_log_table_time = "Occurrence";
	$voms_preferences_log_occurence = "<b>%d</b> times from %s till %s";
	$voms_preferences_log_take_notice_ok = "Event successfully marked as taken into account.";
	$voms_preferences_log_take_notice_failed = "Marking event as taken into account failed.";

	// Database schema version
	$voms_dbschema_nofity = "VO database schema need to be updated. All modify operations are prohibited now for safety.";
	$voms_dbschema_usernotify = "VO database is now read-only for maintenance period. Please perform you request later or contact VO manager directly.";

	// Function descriptions
	$voms_functions_descriptions = array (
		"createUser"	=> "Grant membership for user '%s' validated by '%s'",
		"createRole"	=> "Creating VO role '%s'",
		"createGroup"	=> "Creating VO group '%s'",
		"deleteUser"	=> "Revoke membership for user '%s'",
		"deleteRole"	=> "Removing VO role '%s'",
		"deleteGroup"	=> "Removing VO group '%s'",
		"updateUserInfo"	=> "Updating information for user '%s': CN = '%s', e-mail = '%s'",
		"updateACLPermissions"	=> "Updating group '%s' access permissions for '%s'. New value is: %s ",
		"deleteACLentry"	=> "Removing ACL entry for admin '%s' in VO group '%s'",
		"deleteACLentryChilds"	=> " including all child groups",
		"addMembership"		=> "Grant membership for user '%s' in group '%s'",
		"addMembershipRole"	=> " with role '%s'",
		"delMembership"		=> "Revoke membership for user '%s' in group '%s'",
		"delMembershipRole"	=> " with role '%s'",
		"addAttribute"		=> "Attribute '%s' set to value '%s' for %s '%s'",
		"delAttribute"		=> "Attribute '%s' unset for %s '%s'",
		"addRoleAttribute"	=> "Attribute '%s' set to value '%s' for role '%s' in group '%s'",
		"delRoleAttribute"	=> "Attribute '%s' unset for role '%s' in group '%s'",
		"delVOAttribute"	=> "Attribute '%s' deleted from VO attributes list",
		"addVOAttribute"	=> "Attribute '%s ( %s )' added to VO attributes list",
		"addVOAttributeUniq"	=> "Unique attribute '%s ( %s )' added to VO attributes list",
		"createNewRequest"	=> "New membership request from user '%s' validated by '%s'",
		"confirmRegRequest"	=> "Membership request confirmed by user '%s' validated by '%s'",
		"deleteRegRequest"	=> "Membership request canceled by user '%s' validated by '%s'",
		"changeRequestState"	=> "Membership request for user '%s' validated by '%s' has been ",
		"changeRequestStateA"	=> "accepted",
		"changeRequestStateD"	=> "declined",
		"createAdmin"		=> "Admin record created for '%s' validated by '%s'",
		"saveSettingsToDB"	=> "Variable '%s' stored with value '%s' inside transaction",
		"update_vo_config"	=> "VO preferences changed to: description - %s; home URL - %s; usage rules - %s; default CA - %s; registration - %s",
		"setACLPermissions"	=> "Reset %sACL permissions for container '%s'. New permissions are:\n"
	);

	// Captcha
	$voms_captcha_label = "Enter text on the picture:";
	$voms_captcha_wrongvalue = "Wrong value of text on the image";

	// Mailing staff
	$voms_registration_mail_confirm_subject = "Your membership request for VO %s";
	$voms_registration_mail_confirm = "Dear %s, you have requested to be a member of VO %s.

In order for the registration to proceed, you should confirm this
request by going to the following url:

%s

In case you occasionally requested the membership in VO %s, please
cancel request going to the following url:

%s

Your sincerely,
PHP VOMS-Admin registration service for VO %s";

	$voms_registration_mail_admin_subject = "A membership request for VO %s requires your approval.";
	$voms_registration_mail_admin = "Dear %s,

as VO administrator of VO %s, your authorization is requested for the
VO membership request issued by the following user:

DN: %s
CA: %s
Email: %s
Institute: %s
Phone: %s
Comments: %s

In order to handle this membership request, point your browser
to the following URL:

%s

Your sincerely,
PHP VOMS-Admin registration service for VO %s";

	$voms_registration_mail_userinform_subject = "Your membership request for VO %s has been %s";
	$voms_registration_approved = "approved";
	$voms_registration_rejected = "rejected";
	$voms_registration_mail_userinform = "Dear %s, your membership request for VO %s
has been %s.

Your sincerely,
PHP VOMS-Admin registration service for VO %s";

	$voms_sendmail_foradm_subject = "Message for VOMS admin from %s";
	$voms_sendmail_newvo_subject = "New VO is requesting VOMS resources";

?>
