<?php
	/* Russian translation is courtesy of Denis Patrikeev <patrikeev(at)theory.sinp.msu.ru> */
	// Title and footer
	$voms_title = "PHP VOMS-Admin %s";
	$voms_footer_caption = "<a href=\"http://grid.org.ua/development/pva\">PHP VOMS-Admin</a> версии %s";

	// Main page captions
	$voms_vo_list = "Список ВО, обслуживаемых данным сервером";
	$voms_extenal_vo_list = "Список ВО, обслуживаемых внешними серверами";
	$voms_no_vo_served = "Сервер ещё не обслуживает ни одной ВО";
	$voms_notexist_vo = "Запрашиваемая ВО не обслуживается данным сервером";
	$voms_confdir_failed = "Ошибка при чтении конфигурационных файлов ВО.";

	// VO groups
	$voms_vo_list_caption = "Обслуживаемые ВО";
	$voms_vo_grouplist_caption = "Группы ВО";
	$voms_vo_grouplist_nogroups = "Нет сконфигурированных групп ВО.";

	// URL captions
	$voms_vo_home_title = "Домашняя страница ВО";
	$voms_vo_sync_title = "VOMS сервер-реплика";
	$voms_vo_ext_title = "Внешний VOMS сервер";

	// Header captions
	$voms_str_forvo = "для ВО: ";
	$voms_str_user  = "Текущий пользователь: ";
	$voms_str_unauth = "Неавторизированный клиент";
	$voms_str_nonhttps = "используйте HTTPS для аутентификации";
	$voms_register = " Вы не являетесь члено ВО - <a href=\"?vo=%s&amp;action=register\">Зарегистрируйтесь!</a>";
	$voms_create_user = "Добавить пользователя";

	// Leave VO
	$voms_leavevo = "Покинуть данную ВО";
	$voms_leavevo_sure = "Вы уверены, что вы хотите приостановить ваше членство в виртуальной организации?";
	$voms_leavevo_ok = "Ваше членство в ВО успешно приостановлено";

	// Main menu
	$voms_mlinks = array (
		"Управление ВО"		=> "",
		"Конфигурация"		=> "&amp;action=configuration"
	);

	$voms_requests_mlinks = array (
		"Запросы членства"	=> "&amp;action=subscriptions",
	);

	$voms_preferences_mlinks = array (
		"Настройки"		=> "&amp;action=preferences"
	);

	$voms_other_vo = "Другие ВО на данном сервере";

	$voms_mainpage_mlinks = array (
		"Список ВО"				=> "?globop=listvos",
		"Связаться с администратором VOMS"	=> "?globop=mailadm"
	);

	$voms_request_vo_registration = "Запросить VOMS ресурсы для новой ВО";

	$voms_manage_title = "Управление";
	$voms_manage = array (
		"Пользователи"			=> "",
		"Группы"		=> "&amp;operation=groupslist",
		"Роли"			=> "&amp;operation=roleslist",
		"Свойства"		=> "&amp;operation=attrlist"
	);

	$voms_hack = "Пожалуйста, прекратите несанкционированный доступ к серверу! Информация о данном инциденте была зафиксирована. ";

	// VO manage strings
	$voms_mng_user_caption = "Пользователи: ";
	$voms_mng_groups_caption = "Группы: ";
	$voms_mng_roles_caption = "Роли: ";
	$voms_mng_user_search = "Поиск пользователей";
	$voms_mng_group_search = "Поиск групп";
	$voms_mng_roles_search = "Поиск ролей";
	$voms_mng_attr_search = "Поиск пользовательских свойств";
	$voms_user_del = "удалить<br/>пользователя";
	$voms_grp_del = "удалить";
	$voms_role_del = "удалить";

	$voms_tcaption_tmpl = "%s-%s из %s";
	$voms_no_search  = "Не найдено пользователя, удовлетворяющего критерию \"%s\"";
	$voms_no_users = "Не найдено ни одного члена ВО";
	$voms_no_attrs = "Нет назначенных пользовательский свойств в данной ВО";
	$voms_no_groups_search = "Не найдено групп, удовлетворяющих критерию \"%s\"";
	$voms_no_roles_search = "Не найдено ролей, удовлетворяющих критерию \"%s\"";
	$voms_no_attrs_search = "Не найдено свойств, удовлетворяющих критерию \"%s\"";
	$voms_no_roles = "Не найдено ни одной роли";
	$voms_no_groups = "Не найдено ни одной группы";

	$voms_create_new_caption = "Добавить нового ВО пользователя";
	$voms_create_new_submit = "Добавить!";
	$voms_create_new_failed = "Не удалось добавить запись о новом члене ВО.";
	$voms_create_new_already_exists = "Пользователь с заданным DN и CA уже является членом ВО.";
	$voms_addca_notfound = "Не доверенный CA. Для добавления поддержки нового CA, пожалуйста, свяжитесь с администратором VOMS";
	$voms_create_new_wrongparameter = "Неправильный синтаксис при задании поля %s";
	$voms_creategrp_new_caption = "Добавить новую группу в ВО";
	$voms_creategrp_pgrp = "Родительская группа:";
	$voms_creategrp_grp = "Имя:";
	$voms_creategrp_group_wrong = "Неверный синтаксис имени группы";
	$voms_creategrp_new_failed = "Не удалось создать новую группу ( уже существует или ошибка базы данных )";
	$voms_create_grp = "Добавить новую группу";
	$voms_create_role = "Добавить новую роль";
	$voms_createrole_new_caption = "Добавить новую роль в ВО";
	$voms_createrole_role = "Имя: ";
	$voms_createrole_role_wrong = "Неверный синтаксис при указании имени роли";
	$voms_createrole_allready = "Роль уже присутствует в базе данных";
	$voms_createrole_new_failed = "Не удалось создать новую роль ( ошибка базы данных )";
	$voms_roleinfo_userdet = "Поиск пользователей с ролью <b>%s</b> в выбранной группе";
	$voms_manage_attributes = "Управление типами свойств";
	$voms_mattr_caption = "Добавить новое описание свойства";

	$voms_delete_failed = "Ошибка при удалении пользователя.";
	$voms_deletegrp_failed = "Ошибка при удалении группы.";
	$voms_deletegrp_cannot = "Эта группа не может быть удалена, т.к. она содержит подгруппы.";
	$voms_delete_confirm = "Вы уверены, что вы хотите приостановить членство %s в ВО?";
	$voms_deletegrp_confirm = "Вы уверены, что вы хотите удалить группу %s из ВО?";
	$voms_deleterole_confirm = "Вы уверены, что вы хотите удалить роль %s из ВО?";
	$voms_deleterole_failed = "Ошибка при удалении роли.";

	$voms_userinfo_usrdet_caption = "Подробнее про пользователя";
	$voms_userinfo_mmbdet_caption = "Подробнее про членство";
	$voms_userinfo_attrm_caption = "Управление общими свойствами";

	$voms_userinfo_usrdet_dn = "DN и CA пользователя:";
	$voms_userinfo_usrdet_ca = "&nbsp;";
	$voms_userinfo_usrdet_cn = "CN пользователя:";
	$voms_userinfo_usrdet_ml = "E-mail пользователя:";
	$voms_userinfo_usrdet_upd = "Сохранить изменения";
	$voms_userinfo_usrdet_updok = "Информация о пользователе обновлена!";
	$voms_upd_userinfo_wrong = "Неверное значения для пользователя %s. Оставлено без изменений.";
	$voms_userinfo_del = "удалить этого пользователя";
	$voms_userdet_empty = "Ошибка базы данных или неверные параметры: нет информации о заданном пользователе;";

	$voms_togroup_add = "Добавить к группе";
	$voms_add_role = "Назначить роль";
	$voms_dissmiss_role = "Убрать роль";
	$voms_groups_catpion = "Имя группы";
	$voms_roles_caption = "Роли";
	$voms_remove_group = "Удалить";
	$voms_remove_attr = "удалить";
	$voms_assinggroup_usrdet_updok = "Пользователь успешно добавлен в группу";
	$voms_dissmissgroup_usrdet_updok = "Членство в группе успешно приостановлено";
	$voms_addrole_usrdet_updok = "Роль в группе успешно назначена пользователю";
	$voms_delrole_usrdet_updok = "Роль пользователя в группе успешно удалена";
	$voms_addgroup_gid_wrong = "Неправильный идентификатор группы. Данный инцидент был записан.";
	$voms_addrid_rid_wrong = "Неправильный идентификатор роли. Данный инцидент был записан.";
	$voms_addgroup_allready = "Пользователь уже является членом группы";
	$voms_addgroup_failed = "Ошибка сервера. Не удалось добавить пользователя в группу.";
	$voms_delgroup_allready = "Пользователь уже не является членом группы";
	$voms_delgroup_failed = "Ошибка сервера. Не удалось приостановить членство в группе.";
	$voms_addrid_allready = "Пользователь уже имеет роль в группе";
	$voms_addrid_failed = "Ошибка сервера. Не удалось назначить роль в группе.";
	$voms_delrid_allready = "Пользователь уже не имеет роль в группе";
	$voms_delrid_failed = "Ошибка сервера. Не удалось удалить роль из группы.";

	$voms_attributes_notexists = "Нет типов свойств для данной ВО.";
	$voms_attribute_caption = "Атрибут:";
	$voms_attribute_value_caption = "Значение атрибута:";
	$voms_attribute_add_submit = "Задать атрибут";
	$voms_attributes_notset = "Не заданы атрибуты для %s.";
	$voms_attribute_delete = "удалить";
	$voms_attributes = array ( "Имя атрибута" => "Значение атрибута" );
	$voms_attributes_group = "Имя группы";
	$voms_attributes_group_sel = "Группа:";
	$voms_attributes_dn = "DN и CA пользователя";
	$voms_attributes_uniq = "Уникальный атрибут";
	$voms_attribute_updok = "Атрибут успешно установлен.";
	$voms_attrdel_updok = "Атрибут успешно удален";
	$voms_attribute_id_wrong = "Неправильный идентификатор параметра. Данный инцидент был записан.";
	$voms_attribute_notuniq = "Атрибут уникален, но другой атрибут %s уже имеет заданное значение.";
	$voms_attribute_name_notuniq = "Имя атрибута не уникально. Не удалось заменить описание.";
	$voms_attribute_add_failed = "Ошибка сервера. Не удалось присвоить атрибут";
	$voms_attribute_delok = "Атрибут успешно удален.";
	$voms_attradd_updok = "Атрибут успешно добавлен в ВО";
	$voms_attribute_del_failed = "Ошибка сервера. Не удалось удалить атрибут";
	$voms_createattr_name = "Имя атрибута:";
	$voms_createattr_descr = "Описание атрибута:";
	$voms_createattr_uniq = "Уникальный:";
	$voms_attribute_name_wrong = "Неверный синтаксис для имени атрибута";

	$voms_acldet_caption = "Управление ACL для %s";
	$voms_usrdet_caption = "Детали членства для %s";
	$voms_attrm_caption = "Общие атрибуты для %s";
	$voms_group = "группа";
	$voms_user = "пользователь";
	$voms_role = "роль";
	$voms_normal_acl_caption = "Список контроля доступа: ";
	$voms_default_acl_caption = "ACL по умолчанию: ";
	$voms_no_acl_found = "ACL не задан для данной группы";
	$voms_acl_table_colnames = array ( "DN и CA администратора", "Контейнер", "Членство", "ACL", "Атрибуты", "Запросы", "Настройки" );
	$voms_acl_error = "Не удалось получить информацию про ACL. Внутренняя ошибка сервера. ";
	$voms_acl_edit = "редактировать";
	$voms_acl_delete = "удалить";
	$voms_acl_create = "Добавить запись";
	$voms_acl_default = "по умолчанию";

	// Register in VO
	$voms_register_caption = "Регистрация членства в ВО <b class=\"greenselected\">%s</b> сервиса PHP VOMS-Admin.";
	$voms_register_preamble = "Для доступа к ресурсам виртуальной организации, вы должны согласиться с <a href=\"%s\">правилами работы ВО</a>. Пожалуйста, заполните все поля формы и нажмите кнопку регистрации в внизу страницы.";
	$voms_register_preamble_next = array (
		"После отправки запроса, вы получите по e-mail инструкции о дальнейших действиях. Ваш запрос не будет передан менеджерам ВО до тех пор пока вы не подтвердите корректность вашего адреса электронной почты, следуя инструкции.",
		"ВАЖНО:",
		"Посылая эту информацию вы подтверждаете своё согласие с тем, что эта информация может быть сохранена и передана администраторам сайтов грид-инфраструктуры и ВО. Вы также соглашаетесь, что могут быть предприняты действия по проверки корректности указанной Вами информации и что она может служить для целей контроля доступа к ресурсам ВО и для контакта с Вами в отношении данной деятельности."
	);
	$voms_register_non_https = "Вы должны использовать протокол <a href=\"%s\">HTTPS</a> для того, чтобы продолжить регистрацию в ВО.";
	$voms_register_no_cert= "Вы должны импортировать свой пользовательский сертификат, чтобы продолжить.";
	$voms_register_yourdn = "Ваш DN:";
	$voms_register_yourca = "Ваш центр сертификации (CA):";
	$voms_register_yourmail = "Ваш адрес электронной почты:";
	$voms_register_yourinstitute = "Ваш институт:";
	$voms_register_yourphone = "Ваш номер телефона:";
	$voms_register_yourcomments = "Комментарии для администратора ВО:";
	$voms_register_agree = "Вы согласны с правилами использования ВО.";
	$voms_register_submit = "Регистрация";
	$voms_register_allready = "Вы уже зарегистрированы, Вам не нужно снова посещать эту страницу.";
	$voms_register_invalid_mail = "E-mail неверен";
	$voms_register_invalid_inst = "Институт неверен";
	$voms_register_invalid_phone = "Номер телефона неверен";
	$voms_register_invalid_agree = "Вы должны согласиться с правилами использования ВО.";
	$voms_register_confirmation = "Необходимо подтверждение";
	$voms_register_complete = "Вам было послано письмо (email) с инструкциями как продолжить процесс регистрации в  %s ВО.<br/>Пожалуйста выполните шаги указанные в инструкции в течении 24 часов иначе Ваш запрос будет проигнорирован PHP VOMS-Admin.";
	$voms_register_notyet_processed = "Вы уже послали запрос на регистрацию, но он ещё не был обработан администратором ВО.";
	$voms_register_confirmation_sent = "Вы уже посылали запрос. Письмо с инструкциями было выслано на указанный e-mail (проверьте SPAM фильтр, если Вы не можете найти его во входящих сообщениях). Если проблема продолжится, то обратитесь к администратору ВО или подождите 24 часа пока не истечёт срок действия запроса.";
	$voms_register_error = "Внутренняя ошибка сервера при обработке Вашего запроса. Пожалуйста, попробуйте снова послать запрос, если ошибка продолжится то, пожалуйста, обратитесь к администратору ВО.";
	$voms_confirmation_title = "Запрос на подтверждение членства";
	$voms_confirmation_ok = "Ваш запрос успешно подтверждён. Вы получите уведомление, когда администратор ВО обработает Ваш запрос.";
	$voms_confirmation_already = "Вы уже успешно подтвердили Ваш запрос, но он ещё не был обработан администратором ВО.";
	$voms_confirmation_delete = "Ваш запрос был отменён.";
	$voms_confirmation_error = "Внутренняя ошибка сервера при обработке подтверждения запроса. Пожалуйста, попробуйте снова проследовать по ссылке, если ошибка продолжится, пожалуйста, обратитесь к администратору ВО.";
	$voms_confirmation_badrequest = "Предоставлен некорректный URL для подтверждения запроса.";

	// Request subscriptions
	$voms_subscriptions_manage_title = "Посмотреть";
	$voms_subscriptions_manage = array (
		"Запросы, находящиеся в обработке"	=> "",
		"Обработанные запросы"	=> "&amp;operation=processed"
	);
	$voms_pending_caption = "Запросы на членство в ВО, находящиеся в обработке";
	$voms_pending_no = "Нет необработанных запросов.";
	$voms_pending_app = "принять";
	$voms_pending_rej = "отклонить";
	$voms_processed_caption = "Обработанные запросы на членство в ВО";
	$voms_processed_no = "Нет обработанных запросов.";
	$voms_processed_app = "принято";
	$voms_processed_rej = "отклонено";
	$voms_pending_info = array (
		"crdate" => "Дата подачи заявки: ",
		"dn"	=> "DN пользователя: ",
		"ca"	=> "CA пользователя: ",
		"cn"	=> "CN пользователя: ",
		"mail"	=> "E-mail пользователя: ",
		"inst"	=> "Институт: ",
		"phone"	=> "Телефон пользователя: ",
		"cmnt" => "Комментарий: "
	);
	$voms_processed_info_ststus = "Статус: ";
	$voms_processed_info_evdate = "Дата оценки: ";
	$voms_pending_apprej = "Вы можете <a href=\"%s\">отклонить</a> или <a href=\"%s\">принять</a>  этот запрос на членство.";
	$voms_reqinfo_caption = "Детали запроса на членство в ВО";
	$voms_subscription_reject_ok = "Запрос на членство отклонён.";
	$voms_subscription_reject_err = "Не удалось отклонить запрос на членство.";
	$voms_subscription_approve_ok = "Запрос на членство одобрен.";
	$voms_subscription_approve_err = "Не удалось одобрить запрос на членство.";

	// ACL strings
	$voms_acl_edit_caption = "Редактировать ACL правило: ";
	$voms_acl_failed_info = "Не удалось получить информацию из базы данных. Внутренняя ошибка или попытка взлома.";
	$voms_acl_admin = "Контактные данные администратора:";
	$voms_acl_context = "Контекст:";
	$voms_acl_values_caption = array (
		"container" => array ("Права на операции с контейнерами:","Чтение","Запись"),
		"membership" => array ("Права на операции с принадлежностью к ВО (членством):","Чтение","Запись"),
		"acl" => array ("Права на управление ACL:","Просмотр","Изменение","По умолчанию"),
		"requests" => array ("Права на управление заявками на членство:","Просмотр","Одобрение"),
		"attributes" => array ("Права на общие атрибуты:","Просмотр","Управление"),
		"preferences" => array ("Настройки ВО:","Чтение","Запись")
	);
	$voms_acl_propagate = "<b>Применить к дочерним контекстам?</b>";
	$voms_acledit_submit = "Сохранить изменения";
	$voms_acl_update_failed = "Ошибка сервера или попытка взлома. Не удалось изменить права доступа ACL.";

	$voms_acl_del_caption = "Удалить ACL правило: ";
	$voms_aclrem_from_children = "Удалить также из дочерних контекстов?";
	$voms_acl_permissions = "Права доступа:";
	$voms_acldel_submit = "Удалить ACL правило";
	$voms_acl_delete_failed = "Ошибка сервера или попытка взлома. Не удалось удалить ACL правило.";
	$voms_acl_create_failed = "Ошибка сервера или попытка взлома. Не удалось создать ACL правило.";

	$voms_acl_new_caption = "Добавить ACL запись для контекста: <span class=\"greenselected\">%s</span>";
	$voms_acl_new_for = "Добавить ACL запись для пользователя: ";
	$voms_acl_new_grant = " дающую следующие права доступа: ";

	$voms_acl_new_vouser = "Член ВО:";
	$voms_acl_new_nonvouser = "Не член ВО:";
	$voms_acl_new_role = "Кто-угодно с:";
	$voms_acl_new_ingroup = "ролью в группе";
	$voms_acl_new_group = "Члены группы";
	$voms_acl_new_anyauth = "Любой аутентифицированный пользователь";
	$voms_acl_new_submit = "Создать";

	$voms_insufficient_read = "Недостаточно прав для чтения в соответствии с \"%s\" ACL.";

	// Configuration
	$voms_configuration_caption = "Конфигурационная информация";
	$voms_configuration_pvaurl = "PHP VOMS-Admin URL для ВО: ";
	$voms_configuration_vomses = "Конфигурация VOMSES для VO: ";
    $voms_configuration_lsc = "Цепочка доверия для сервера VOMS (%s.lsc):";
	$voms_configuration_reread_cert = "перечитать данные сертификата";
	$voms_configuration_mkgridmap = "Пример Mkgridmap конфигурации для ВО: ";
	$voms_configuration_voarc = "Пример конфигурации ARC [vo] блока для nordugridmap утилиты: ";

	// Send e-mail to server admin form
	$voms_sendmail_caption = "Связаться с администратором сервера VOMS";
	$voms_sendmail_preamble = array (
		"Используя данную форму Вы можете послать e-mail администратору VOMS сервера, чтобы задать вопрос и сообщить об ошибке, относящиеся к работе сервера. Пожалуйста, укажите правильный адрес e-mail, чтобы получить ответ на Ваше письмо."
	);
	$voms_sendmail_username = "Ваше имя:";
	$voms_sendmail_email = "Ваш e-mail:";
	$voms_sendmail_body = "Текст сообщения:";
	$voms_sendmail_submit = "Послать e-mail";

	$voms_sendmail_error_email = "Неверный синтаксис адреса e-mail";
	$voms_sendmail_error_username = "Пожалуйста, используйте алфавитные символы в Вашем имени";
	$voms_sendmail_error_empty = "Текст сообщения пуст";

	$voms_sendmail_error = "Возникла ошибка при отправке сообщения. Пожалуйста, проверьте правильность введённой информации и попробуйте снова.";
	$voms_sendmail_ok = "Ваше сообщение было успешно послано. Ответ должен прийти в ближайшем будущем.";

	// Request serving new VO
	$voms_newvo_non_https = $voms_register_non_https;
	$voms_newvo_no_cert = $voms_register_no_cert;
	$voms_newvo_caption = "Запросить ресурсы сервера VOMS для обслуживания Вашего ВО";
	$voms_newvo_policy = array (
		"Заполнив форму, приведённую ниже, Вы можете послать запрос администратору сервера VOMS на предоставление ресурсов для обслуживания Вашей ВО. Вы должны быть администратором ВО и использовать HTTPS соединения, аутентифицированное с помощью Вашего пользовательского сертификата. Тот же самый механизм аутентификации будет использован для администрирования ВО в будущем. "
	);
	$voms_newvo_voname = "Имя ВО*:";
	$voms_newvo_admdn= "DN администратора ВО:";
	$voms_newvo_admca = "CA администратора ВО:";
	$voms_newvo_admmail = "E-mail администратора ВО*:";
	$voms_newvo_defca = "CA по умолчанию для ВО:";
	$voms_newvo_descr = "Описание ВО:";
	$voms_newvo_homepg = "Домашняя страница ВО:";
	$voms_newvo_rules = "Ссылка (URL) на правила использования ВО*:";
	$voms_newvo_submit = "Послать запрос";

	$voms_newvo_error_name = "Неверный синтаксис имени ВО";
	$voms_newvo_error_email = "Неверный синтаксис e-mail администратора ВО";
	$voms_newvo_error_rules = "Неверный синтаксис ссылки (URL) на правила использования ВО";

	$voms_newvo_error = "Ошибка при посылке запроса. Пожалуйста, проверьте правильность введённой информации и попробуйте снова.";
	$voms_newvo_ok = "Ваш запрос был успешно послан. Вы получите ответ в ближайшем будущем.";

	// Preferences
	$voms_preferences_options_title	= "Опции";
	$voms_preferences_eventlog_url = "&amp;action=preferences&amp;operation=eventlog";
	$voms_preferences_replication_url = "&amp;action=preferences&amp;operation=replicate";
	$voms_preferences_transactions_url = "&amp;action=preferences&amp;operation=transactions";
	$voms_preferences_options = array (
		"Интерфейс"		=> "&amp;action=preferences",
		"Транзакции"		=> $voms_preferences_transactions_url,
		"Репликации"		=> $voms_preferences_replication_url,
		"Журнал событий"	=> $voms_preferences_eventlog_url
	);

	// - display preferences
	$voms_preferences_display_info = array (
		"Настройки интерфейса определяют специфичные для ВО значения, которые определяют как отображается информация о данной ВО. Эти параметры могут быть изменены в любое время администратором ВО."
	);
	$voms_preferences_caption = "Параметры интерфейса для ВО %s";
	$voms_preferences_vodescr = "Описание ВО:";
	$voms_preferences_vourl = "Домашняя страница:";
	$voms_preferences_ugaseurl = "Ссылка на правила использования ВО*:";
	$voms_preferences_defca = "CA по умолчанию:";
	$voms_preferences_registration = "Регистраця членов:";
	$voms_preferences_registration_enabled = "разрешена";
	$voms_preferences_registration_disabled = "запрещена";
	$voms_preferences_submit = "Обновить";
	$voms_preferences_badrequired = "Одно из обязательных полей, помеченных звёздочкой (*), не заполнено.";
	$voms_preferences_updated = "Конфигурация ВО успешно обновлена";
	$voms_preferences_updatefail = "Не удалось обновить конфигурацию ВО. Пожалуйста, попробуйте снова или обратитесь к администратору сервера, если ошибка не исчезнет.";
	// - transaction preferences
	$voms_preferences_trans_caption = "Параметры транзакции ВО %s";
	$voms_preferences_trans_log = "Запись в журнал транзакций ";
	$voms_preferences_trans_log_enabled = "включена";
	$voms_preferences_trans_log_disabled = "выключена";
	$voms_preferences_trans_log_enable = "включить";
	$voms_preferences_trans_log_disable = "выключить";
	$voms_preferences_trans_updfail = "Не удалось изменить статус записи в журнал транзакций";
	$voms_preferences_trans_repl_fail = "Запись в журнал транзакций не может быть отключена пока существуют репликанты";

	$voms_preferences_trans_table_text = array (
		"Ниже приведены недавние операции по администрации ВО. Здесь включены только операции, которые изменяют содержимое базы данных. Операции на чтение не записываются в журнал транзакций."
	);
	$voms_preferences_trans_table_time = "Дата транзакции";
	$voms_preferences_trans_table_who = "Исполнитель";
	$voms_preferences_trans_table_mesg = "Описание операции";
	$voms_preferences_trans_table_who_format = "<b>%s</b><br/>%s";
	$voms_preferences_trans_table_older = "раньше";
	$voms_preferences_trans_table_newer = "позже";
	$voms_preferences_trans_no_entries = "Не записано ни одной транзакции. ";
	$voms_preferences_trans_no_entries_older = "Вы можете <a href=\"%s\">вернуться</a> к просмотру транзацкий, проведённых позже.";

	// - replication preferences
	$voms_preferences_repl_caption = "Настройки репликации для ВО %s";
	$voms_preferences_repl_status = "Репликация базы данных ВО сейчас ";
	$voms_preferences_repl_status_enabled = $voms_preferences_trans_log_enabled;
	$voms_preferences_repl_status_disabled = $voms_preferences_trans_log_disabled;
	$voms_preferences_repl_status_enable = $voms_preferences_trans_log_enable;
	$voms_preferences_repl_trans_failed = "Вы должны включить запись в журнал транзакций перед включением репликации";
	$voms_preferences_repl_interval_caption = "Синхронизировать с другими серверами каждые ";
	$voms_preferences_repl_intervals = array (
		"5"	=> "5 минут",
		"10"	=> "10 минут",
		"20"	=> "20 минут",
		"30"	=> "30 минут",
		"1h"	=> "1 час",
		"2h"	=> "2 часа",
		"4h"	=> "4 часа"
	);
	$voms_preferences_repl_new_adj = "Создать новое соглашение о репликации";
	$voms_preferences_repl_addnew = "Создать соглашение с новым репликантом:";
	$voms_preferences_repl_addnew_descr = array (
		"Заполните форму ниже, чтобы заключить новое соглашение о репликации. Откройте тоже самое окно на репликанте и введите коды соглашения.",
		"Замечание: Создание соглашения само по себе <b>не</b> включает репликацию, но является необходимым для авторизации репликанта!",
		"Если Вы хотите установить репликацию \"каждый с каждым (full-mesh)\" между более чем двумя серверами, то Вам необходимо создать соглашения о репликации на каждом сервере со всеми другими серверами."
	);
	$voms_preferences_repl_dn = "DN репликанта";
	$voms_preferences_repl_ca = "CA репликанта";
	$voms_preferences_repl_endpoint = "Имя сервера (endpoint)";
	$voms_preferences_repl_endpointip = "IP-адрес сервера";
	$voms_preferences_repl_adj_code = "Код соглашения";
	$voms_preferences_repl_code = "Код репликанта";
	$voms_preferences_repl_new_adj_submit = "Создать";
	$voms_preferences_repl_new_wrongsyntax = "Неверный синтакс для '%s'";
	$voms_preferences_repl_ca_nohash = "Не удалось найти CA в директории с доверенными CA сертификатами";
	$voms_preferences_repl_resolve_failed = "Не удалось разрешить имя хоста \"%s\" через DNS. Пожалуйста, проверьте имя/адрес сервера (endpoint).";
	$voms_preferences_repl_curl_failed = "Не удалось подключится к удаленному серверу: ";
	$voms_preferences_repl_ping_filed = "вероятно RPC интерфейс не поддерживается заданным сервером - ping-тест завершился неудачно.";
	$voms_preferences_repl_dnexists = "Создано ещё одно соглашение о репликации с сервером с тем же DN.";
	$voms_preferences_repl_dbfailed = "Неисправимая ошибка! Не удалось сохранить информацию о соглашении в базу данных. Если ошибка возникает постоянно, то обратитесь к администратору VOMS-сервера";
	$voms_preferences_repl_added = "Информация о новом соглашении успешно добавлена.";
	$voms_preferences_repl_adj_list = "Список соглашений о репликации";
	$voms_preferences_repl_status_arr = array (
		0 => "НЕ ПОДТВЕРЖДЕНО",
		1 => "ИНИЦИАЛИЗИРОВАНО",
		2 => "СИНХРОНИЗИРОВАНО: "
	);
	$voms_preferences_repl_adj_detail_caption = "Детали соглашения для ";
	$voms_preferences_repl_adj_bad_id = "Неправильный идентификатор соглашения. Не могу отобразить информацию.";
	$voms_preferences_repl_adj_detail_status = "Статус соглашения";
	$voms_preferences_repl_edit = "редактировать";
	$voms_preferences_repl_submit = "подтвердить изменение";
	$voms_preferences_repl_changed = "Код авторизации репликанта успешно изменён";
	$voms_preferences_repl_adj_confirm_req = "Это соглашение требует подтверждения";
	$voms_preferences_repl_adj_confirm_req_text = array (
		"Подтверждение необходимо, чтобы проверить правильность кода репликанта и для разрешения его использования для проведения регулярных синхронизаций транзакций.",
		"Чтобы начать синхронизацию транзакций, Вы должны убедиться, что базы данных на различных PVA серверах идентичны. Для этого PVA сервер (потребитель) должен <b>полностью переписать</b> свою базу данных, использую данные провайдера.",
		"Если этот PVA сервер является потребителем, то, <b>поставьте галочку ниже, чтобы полностью переписать базу данных</b>.",
		"<b>ВНИМАНИЕ!</b> РЕКОМЕНДУЕТСЯ сделать резервную копию базы данных перед её переписыванием.",
		"<b>ВНИМАНИЕ!</b> После переписывания базы данных Вы можете потерять права администратора.",
		"Если вы уже выступаете в роли потребителя в для другого репликанта в много-серверной репликации и уже приняли участие в синхронизации транзакций, то переписывание базы данных можно пропустить."
	);
	$voms_preferences_repl_adj_confirm_checkbox = "Переписать локальную базу данных данными репликанта";
	$voms_preferences_repl_adj_confirm_button = "Подтвердить";
	$voms_preferences_repl_consumer_failed = "Не удалось переписать базу данных данными репликанта. Восстанавливаем старые данные в локальной базе данных.";
	$voms_preferences_repl_consumer_success = "Поздравляем! База данных успешно переписана данными репликанта.";
	$voms_preferences_repl_adj_enabled = "Репликация этим сервером активна.";
	$voms_preferences_repl_remote_ok = "Соглашение успешно подтверждено. ";
	$voms_preferences_repl_bad_remote_status = "Не удалось подтвердить соглашение (удалённый или этот сервер не перезаписали свою базу данных).";
	$voms_preferences_repl_adj_remove = "удалить соглашение";
	$voms_preferences_repl_adj_remove_warn = "Заметьте! После удаления соглашения Ваша база данных ВО может рассинхронизироваться. Вы действительно хотите удалить соглашение о репликации?";
	$voms_preferences_repl_adj_remove_ok = "Соглашение успешно удалено.";
	$voms_preferences_repl_adj_remove_fail = "Не удалось удалить соглашение о репликации. Неверный запрос или внутренняя ошибка сервера.";
	$voms_preferences_repl_id2uuid_failed = "Не удалось создать таблицу соответствия id <-> uuid, необходимую для репликации. Свяжитесь с администратором VOMS-сервера для решения этой проблемы";

	// RPC error codes
	$voms_rpc_error_caption = "Ошибка RPC: ";
	$voms_rpc_error_codes_descr = array (
		1 => "Указанная ВО не обслуживается данным сервером",
		2 => "Необходимо использовать HTTPS соединение",
		3 => "Ключ аутентификации найден",
		4 => "Не удалось пройти аутентификацию",
		5 => "Удалённый сервер не распознал запрос",
		6 => "Удалённый сервер не смог обработать запрос",
		255 => "Общая ошибка запроса"
	);

	// Log subsystem messages
	$voms_log_subsys_codes = array (
		1 => "Репликация"
	);

	$voms_log_msg_codes = array (
		1 => "Ошибка соединения с удалённым сервером: %s",
		2 => "Ошибка RPC #%s: %s",
		3 => "Ошибка при вызове функции %s. Аргументы:\n%s",
		4 => "Ошибка базы данных #%s при сохранении полученной транзакции",
		5 => "Ответ не является корректным RPC-ответом:\n%s"
	);
	$voms_log_notify_msg = "PVA требует Вашего внимания! В очереди журнала содержится %s <a href=\"%s\">необработанных событий</a>.";
	$voms_preferences_log_caption = "Журнал PVA событий для ВО %s";
	$voms_preferences_log_no_log = "Система не зарегистрировала событий требующих внимания.";
	$voms_preferences_log_take_notice = "Обратите внимание";
	$voms_preferences_log_take_notice_all = "Обратите внимание на все события";
	$voms_preferences_log_info = array (
		"Список событий, произошедших после Вашего последнего визита на PVA веб-интерфейс и требующих Вашего внимания, приведён ниже.",
		"События описывают отложенные операции такие как репликации или инциденты с безопасностью, которые произошли благодаря намеренным или случайным действиям пользователей."
	);
	$voms_preferences_log_info_adm = array (
		"Нажимая на <b>\"$voms_preferences_log_take_notice\"</b> Вы подтверждаете, что Вы обратили внимание на событие и уведомление о событии исчезнет. Если вы получаете события из-за некорректной работы VOMS-сервера или нуждаетесь в помощи для обработки событий системы, то, пожалуйста, свяжитесь с <a href=\"?globop=mailadm\">администратором VOMS-сервера</a>."
	);
	$voms_preferences_log_table_subsys = "Подсистема";
	$voms_preferences_log_table_msg = "Уведомление";
	$voms_preferences_log_table_time = "Время возникновения";
	$voms_preferences_log_occurence = "<b>%d</b> раз с %s до %s";
	$voms_preferences_log_take_notice_ok = "Событие успешно отмечено как принятое во внимание.";
	$voms_preferences_log_take_notice_failed = "Не удалось пометить событие как принятое во внимание.";

	// Database schema version
	$voms_dbschema_nofity = "Необходимо выполнить обновление схемы базы данных ВО. Изменение данных запрещено для сохранения целостности.";
	$voms_dbschema_usernotify = "Выполняется обслуживание системы в течении которого база даных ВО работает в режиме только для чтения. Пожалуйста, повторите Ваш запрос позже или обратитесь к менеджеру ВО напрямую.";

	// Function descriptions
	$voms_functions_descriptions = array (
		"createUser"	=> "Предоставить членство в ВО для пользователя '%s' проверен '%s'",
		"createRole"	=> "Создание ВО роли '%s'",
		"createGroup"	=> "Создание ВО группы '%s'",
		"deleteUser"	=> "Отнять членство в ВО у пользователя '%s'",
		"deleteRole"	=> "Удаление ВО роли '%s'",
		"deleteGroup"	=> "Удаление ВО группы '%s'",
		"updateUserInfo"	=> "Обновление информации о пользователе '%s': CN = '%s', e-mail = '%s'",
		"updateACLPermissions"	=> "Обновление прав доступа в группе '%s' для пользователя '%s'. Новое значение: %s ",
		"deleteACLentry"	=> "Удаление ACL правила для администратора '%s' в ВО группе '%s'",
		"deleteACLentryChilds"	=> " включая все дочернии группы",
		"addMembership"		=> "Предоставить членство в ВО для пользователя '%s' в группе '%s'",
		"addMembershipRole"	=> " с ролью '%s'",
		"delMembership"		=> "Отнять членство в ВО для пользователя '%s' в группе '%s'",
		"delMembershipRole"	=> " с ролью '%s'",
		"addAttribute"		=> "Атрибут '%s' установлен в значение '%s' для %s '%s'",
		"delAttribute"		=> "Атрибут '%s' удалён для %s '%s'",
		"addRoleAttribute"	=> "Атрибут '%s' установлен в значение '%s' для роли '%s' в группе '%s'",
		"delRoleAttribute"	=> "Атрибут '%s' удалён для роли '%s' в группе '%s'",
		"delVOAttribute"	=> "Атрибут '%s' удалён из списка атрибутов ВО",
		"addVOAttribute"	=> "Атрибут '%s ( %s )' добавлен в список атрибутов ВО",
		"addVOAttributeUniq"	=> "Уникальный атрибут '%s ( %s )' добавлен в список атрибутов ВО",
		"createNewRequest"	=> "Новый запрос на членство в ВО от пользователя '%s' проверен '%s'",
		"confirmRegRequest"	=> "Запрос на участие в ВО подтверждён пользователем '%s' проверен '%s'",
		"deleteRegRequest"	=> "Запрос на участие в ВО отменён пользователем '%s' проверен '%s'",
		"changeRequestState"	=> "Запрос на участие в ВО для пользователя '%s' проверен '%s' был ",
		"changeRequestStateA"	=> "одобрен",
		"changeRequestStateD"	=> "отклонён",
		"createAdmin"		=> "Административная запись создана для '%s' проверена '%s'",
		"saveSettingsToDB"	=> "Переменная '%s' сохранена со значением '%s' внутри транзакции",
		"update_vo_config"	=> "Настройки ВО изменены на: описание - %s; URL домашней страницы - %s; URL к правилам пользования ВО - %s; CA по умолчанию - %s; регистрация членов - %s;",
		"setACLPermissions"     => "Сброшены права доступа ACL %sдля контейнера '%s'. Новые права доступа:\n"
	);

	// Capthcha
	$voms_captcha_label = "Введите текст на рисунке:";
	$voms_captcha_wrongvalue = "Текст с картинки не совпадает";
?>
